Get Evaluation Details
curl --request GET \
--url https://{api_endpoint}/v1/orchestrate/agent/{agent_id}/evaluations/{evaluation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_endpoint}/v1/orchestrate/agent/{agent_id}/evaluations/{evaluation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_endpoint}/v1/orchestrate/agent/{agent_id}/evaluations/{evaluation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executed_date": "<string>",
"number_of_test_cases": 123,
"executed_by": "<string>",
"id": "<string>",
"aggregate_metrices": {
"tool_quality": {
"average": {
"value": 123,
"status": "<string>"
},
"accuracy": {
"value": 123,
"status": "<string>"
},
"relevance": {
"value": 123,
"status": "<string>"
}
},
"answer_quality": {
"average": {
"value": 123,
"status": "<string>"
},
"relevance": {
"value": 123,
"status": "<string>"
},
"correctness": {
"value": 123,
"status": "<string>"
},
"faithfulness": {
"value": 123,
"status": "<string>"
}
},
"transaction_completion": {
"average": {
"value": 123,
"status": "<string>"
},
"failed": 123,
"success": 123,
"total": 123
}
},
"agent_name": "<string>",
"agent_description": "<string>",
"agent_environment": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent Evaluation
Get Evaluation Details
Get evaluation details for a given agent
Get Evaluation Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Date evaluated
Evaluation status
Available options:
PENDING, IN_PROGRESS, COMPLETED, CANCELLED, FAILED Number of test cases
Run by user
Evaluation ID
Aggregated metrics
Show child attributes
Show child attributes
Name of the agent
Description of the agent
List of environments associated with the agent
Show child attributes
Show child attributes
Get Current Running Evaluation For A Given Agent
Previous
Get Test Cases Of An Evaluation For A Given Agent
Next
⌘I

